On Sun, Apr 15, 2018 at 02:23:42PM +0100, John Ballance wrote:
> svn: E155036: Please see the 'svn upgrade' command
> svn: E155036: The working copy at
> '/home/jb/jenkins_gccsdk/gcc4/riscos/asasm/decaof'
> is too old (format 8) to work with client version '1.9.7 (r1800392)'
> (expects format 31). You need to upgrade the working copy first.

The Jenkins SVN plugin does its own thing in Java, it doesn't run the 'svn'
command line client.  It's checking out the repo in an older format.

Upgrade the SVN plugin to the latest, then set the most recent version you
can in:

Manage Jenkins -> Configure System -> Subversion -> Subversion Workspace
Version

ci.riscos.info has this set as 1.8, but then it's mostly running on Ubuntu
14.04 which has an older svn.

If your local 'svn' is still too new, your script needs to do 'svn upgrade'
in the checkout directory.
An alternative is to downgrade your 'svn' client, or install a build of an
older version somewhere on the Jenkins slaves' path.

Theo

_______________________________________________
GCCSDK mailing list gcc@gccsdk.riscos.info
Bugzilla: http://www.riscos.info/bugzilla/index.cgi
List Info: http://www.riscos.info/mailman/listinfo/gcc
Main Page: http://www.riscos.info/index.php/GCCSDK

Reply via email to